Page 1 of 1

Servermodule log

Posted: Mon Nov 04, 2019 7:06 pm
by kno_dk
Hi

I am trying to integrate with a WAm modul on an IBM I. The WAM is usig JSON. It works fine from POSTMAN - I can send and receive data.

In my VL-web on my pc I can call the wam from a server module, the requested data is empty. So how do I log/trace what the server module is sending to the wam?

I think it is the body parameters I dont send to the server (see below):
CATALOGID: "KNO"
partnerid: "X2"

Here are the console view from POSTMAN:

POST http://kat.myserver.com/cgi-bin/lansawe ... nguage=NOR
200 | 267ms
Network
Request Headers
Content-Type: "application/x-www-form-urlencoded"
Authorization: "Basic V09SS1NIT1BYMjphd2FyZTE="
User-Agent: "PostmanRuntime/7.19.0"
Accept: "*/*"
Cache-Control: "no-cache"
Postman-Token: "cc744796-db0d-4681-8a5d-e08e87a61aa1"
Host: "kat.myserver.com"
Accept-Encoding: "gzip, deflate"
Content-Length: 26
Connection: "keep-alive"
Request Body
CATALOGID: "KNO"
partnerid: "X2"
Response Headers
Date: "Mon, 04 Nov 2019 07:58:16 GMT"
Server: "Apache"
Content-Length: "3310"
Keep-Alive: "timeout=300, max=100"
Connection: "Keep-Alive"
Content-Type: "text/html; charset=ISO-8859-1"
Response Body
statuscode: "000000"
statustext: "STATUS OK"
options_list: [60]
0: {…}
option: "01"
option_value: "1"

Re: Servermodule log

Posted: Wed Nov 06, 2019 5:50 am
by caseywhite
Sorry I don't have an example, but I think you should review the Consuming Web Services document. It has lots of information about how to send your JSON data and process the response. I suspect this is what you are looking for.

https://docs.lansa.com/14/en/lansa018/c ... _begin.htm

Re: Servermodule log

Posted: Thu Nov 14, 2019 7:17 am
by kno_dk
Hi

I found this
https://docs.lansa.com/14/en/lansa018/c ... 1_0395.htm

And it gave me what i needed.

/Klaus